Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DirectoryGroup

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.DirectoryObject
                          oracle.ifs.beans.TieDirectoryObject
                              oracle.ifs.beans.DirectoryGroup

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieDirectoryGroup

    public class DirectoryGroup

extends TieDirectoryObject

A DirectoryGroup represents an iFS group of users and/or other groups.

This class enables defining membership relationships by providing methods to add or or remove instances of the GroupMembershiprelationship class.

Also provided are methods to fetch the direct members of this group (that is, DirectoryObejcts that have a GroupMembershiprelationship associated with this object), and "all members" (also known as "fully resolved members") of the group, which is the union of the direct members and the fully resolved members of each of the direct members.

There is one special instance of DirectoryGroup, known as the "World" group. This group has an implied set of direct members that includes all DirectoryUsers defined in the server.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` Class name for this class.
`static java.lang.String` | `CONTENTQUOTA_ATTRIBUTE` The ContentQuota associated with this group for the purpose of adminstering quota on a group-wise basis.
`static java.lang.String` | `GROUP_CLASS_DOMAIN_NAME` name of class domain used for this class
`static java.lang.String` | `OWNERUNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure no groups owned by a user have duplicate names.
`static long` | `WORLDGROUP_ID` Id of the "world" group.

Fields inherited from class oracle.ifs.beans.DirectoryObject
`CREDENTIALMANAGER_ATTRIBUTE, DISTINGUISHEDNAME_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `DirectoryGroup(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a DirectoryGroup object - standard variant.

Method Summary
`void` | `addMember(DirectoryObject member)` Adds a direct member to the group.
`void` | `addMembers(DirectoryObject[] members)` Adds a set of direct members to the group.
`protected void` | `auditUpdated(LibraryObjectDefinition lodef)` Creates audit events for the update operation.
`PublicObjectCapabilities` | `capabilities()` Returns the PublicObjectCapabilities delegate which tracks the capabilities of this object.
`protected static DirectoryGroup` | `constructDirectoryGroup(LibrarySession sess, S_LibraryObjectData data)` Constructs a DirectoryGroup object from the S_LibraryObjectData object.
`protected static DirectoryGroup[]` | `constructDirectoryGroupArray(LibrarySession sess, java.lang.Long[] ids)` Construct a DirectoryGroup array from an array of object IDs.
`protected static java.util.Vector` | `constructDirectoryGroupVector(LibrarySession sess, java.util.Vector vector)` Returns DirectoryGroup Vector from a Vector of S_DirectoryObjectData objects.
`DirectoryObject[]` | `getAllMembers()` Returns array of DirectoryObject that define the list of all members for this instance.
`DirectoryObject` | `getAllMembers(int index)` Deprecated. iFS 9.0.3 Use getAllMembers() and index into the resultant array
`DirectoryUser[]` | `getAllUserMembers()` Gets the array of DirectoryUser that define the list of all DirectoryUser members for this instance.
`DirectoryUser` | `getAllUserMembers(int index)` Gets the member DirectoryUser at the specified index of this group.
`ContentQuota` | `getContentQuota()` Gets the group's ContentQuota object.
`DirectoryObject[]` | `getDirectMembers()` Gets the direct members of this instance.
`DirectoryObject` | `getDirectMembers(int index)` Gets the direct member at the specified index of this group.
`static DirectoryGroup` | `getWorldDirectoryGroup(LibrarySession session)` Gets the DirectoryGroup that represents World access.
`boolean` | `isDirectMember(DirectoryObject member)` Determines if the specified DirecotryObject is a direct member of the group.
`boolean` | `isMember(DirectoryObject obj)` Determines if the specified DirecotryObject is a member of the group.
`protected boolean` | `isValidEventType(AuditEvent event)` Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.
`boolean` | `isWorldGroup()` Tests whether this group is the World group (the virtual group that contains all users).
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a PublicObject.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`void` | `removeMember(DirectoryObject member)` Removes a direct member from the group.
`void` | `removeMembers(DirectoryObject[] members)` Removes a set of direct members from the group.
`protected void` | `reportGroupCreated()` Audits a Group create operation.
`protected void` | `reportGroupFreed()` Audits a Group free operation.
`protected void` | `reportGroupMembershipChanges()` Audits a Group membership change operation.
`void` | `resetDirectMembers()` Deprecated. iFS 9.0.3 No longer has any effect
`void` | `setContentQuota(ContentQuota quota)` Sets the group's ContentQuota attribute.
`protected static DirectoryGroup` | `vectorDirectoryGroupElement(java.util.Vector vector, int index)` Returns a DirectoryGroup from the Vector of DirectoryGroup at the specified index.
`protected static DirectoryGroup[]` | `vectorToDirectoryGroupArray(java.util.Vector vector)` Converts a Vector of DirectoryGroup to an array of DirectoryGroup.

Methods inherited from class oracle.ifs.beans.DirectoryObject
`constructDirectoryObject, constructDirectoryObjectArray, constructDirectoryObjectVector, getAllAncestors, getAllAncestors, getCredentialManager, getDirectAncestors, getDirectAncestors, getDistinguishedName, isMemberOf, resetAllAncestors, resetDirectAncestors, setCredentialManager, setDistinguishedName, vectorDirectoryObjectElement, vectorToDirectoryObjectArray`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `DirectoryGroup`
  Class name for this class.

  Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### OWNERUNIQUENAME_ATTRIBUTE

    public static final java.lang.String OWNERUNIQUENAME_ATTRIBUTE

  Description copied from class: `DirectoryGroup`
  A system-set attribute used to ensure no groups owned by a user have duplicate names.

  See Also:
    Constant Field Values
  (Published)

### CONTENTQUOTA_ATTRIBUTE

    public static final java.lang.String CONTENTQUOTA_ATTRIBUTE

  Description copied from class: `DirectoryGroup`
  The ContentQuota associated with this group for the purpose of adminstering quota on a group-wise basis.

  See Also:
    Constant Field Values
  (Published)

### WORLDGROUP_ID

    public static final long WORLDGROUP_ID

  Description copied from class: `DirectoryGroup`
  Id of the "world" group.

  See Also:
    Constant Field Values
  (Unpublished)

### GROUP_CLASS_DOMAIN_NAME

    public static final java.lang.String GROUP_CLASS_DOMAIN_NAME

  Description copied from class: `DirectoryGroup`
  name of class domain used for this class

  See Also:
    Constant Field Values

Constructor Detail

### DirectoryGroup

    protected DirectoryGroup(LibrarySession session,
                             java.lang.Long id,
                             java.lang.Long classId,
                             S_LibraryObjectData data)
                      throws IfsException

  Constructs a DirectoryGroup object - standard variant.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the DirectoryGroup data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### capabilities

    public PublicObjectCapabilities capabilities()

  Description copied from class: `DirectoryGroup`
  Returns the PublicObjectCapabilities delegate which tracks the capabilities of this object.

  Overrides:
    `capabilities` in class `PublicObject`
  Returns:
    an instance of TieDirectoryGroupCapabilities

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions after the creation of a PublicObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if the operation fails

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  Override to free all existing categories, in such a way that the PO doesn't get updated for each category free.

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### isValidEventType

    protected boolean isValidEventType(AuditEvent event)
                                throws IfsException

  Description copied from class: `DirectoryGroup`
  Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.

  Overrides:
    `isValidEventType` in class `LibraryObject`
  Parameters:
    `event` - the event being posted on this object
  Returns:
    true if the type is consistent; false otherwise
  Throws:
    `IfsException` - if the operation fails

### auditUpdated

    protected void auditUpdated(LibraryObjectDefinition lodef)
                         throws IfsException

  Description copied from class: `LibraryObject`
  Creates audit events for the update operation.

  Overrides:
    `auditUpdated` in class `LibraryObject`
  Parameters:
    `lodef` - The update definition
  Throws:
    `IfsException` - if the operation fails.

### reportGroupCreated

    protected void reportGroupCreated()
                               throws IfsException

  Description copied from class: `DirectoryGroup`
  Audits a Group create operation.

  Throws:
    `IfsException` - if the operation fails

### reportGroupFreed

    protected void reportGroupFreed()
                             throws IfsException

  Description copied from class: `DirectoryGroup`
  Audits a Group free operation.

  Throws:
    `IfsException` - if the operation fails

### reportGroupMembershipChanges

    protected void reportGroupMembershipChanges()
                                         throws IfsException

  Description copied from class: `DirectoryGroup`
  Audits a Group membership change operation.

  Throws:
    `IfsException` - if the operation fails

### getContentQuota

    public ContentQuota getContentQuota()
                                 throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the group's ContentQuota object. Returns null if there is no quota object associated with this group.

  Returns:
    the ContentQuota assigned to this group
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setContentQuota

    public void setContentQuota(ContentQuota quota)
                         throws IfsException

  Description copied from class: `DirectoryGroup`
  Sets the group's ContentQuota attribute.

  Parameters:
    `quota` - the ContentQuota to be associated with this group
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isWorldGroup

    public boolean isWorldGroup()
                         throws IfsException

  Description copied from class: `DirectoryGroup`
  Tests whether this group is the World group (the virtual group that contains all users).

  Returns:
    true if the group is the World group
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getWorldDirectoryGroup

    public static DirectoryGroup getWorldDirectoryGroup(LibrarySession session)
                                                 throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the DirectoryGroup that represents World access.

  Parameters:
    `session` - the session
  Returns:
    the World group
  Throws:
    `IfsException` - if operation fails.
  (Published)

### addMember

    public void addMember(DirectoryObject member)
                   throws IfsException

  Description copied from class: `DirectoryGroup`
  Adds a direct member to the group.

  The member must not be the World group, nor can it already be a member of this group.

  If the specified DirectoryObject is null, no action will be taken and no exception will be thrown.

  Parameters:
    `member` - the member to add to this DirectoryGroup
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### addMembers

    public void addMembers(DirectoryObject[] members)
                    throws IfsException

  Description copied from class: `DirectoryGroup`
  Adds a set of direct members to the group.

  The membership restrictions are the same as outlined in the addMember method. If any member specified does not qualify as a valid member, the entire operation is not performed.

  If any of the specified DirectoryObjects is null, that array element will be ignored.

  Parameters:
    `members` - the members to add as direct members to this instance
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeMember

    public void removeMember(DirectoryObject member)
                      throws IfsException

  Description copied from class: `DirectoryGroup`
  Removes a direct member from the group.

  The specified member must not be the World group.

  If the specified DirectoryObject is not a member of this group or is null, no action will be taken and no exception will be thrown.

  Parameters:
    `member` - the member to remove from this DirectoryGroup
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### removeMembers

    public void removeMembers(DirectoryObject[] members)
                       throws IfsException

  Description copied from class: `DirectoryGroup`
  Removes a set of direct members from the group.

  The member specified must comply with the restrictions outlined in the removeMember method. If any member specified is not valid, the entire operation is not performed.

  If any of the specified DirectoryObjects is not a member of this group or is null, that array element will be ignored.

  Parameters:
    `members` - the members to add as direct members to this instance
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getAllMembers

    public DirectoryObject[] getAllMembers()
                                    throws IfsException

  Description copied from class: `DirectoryGroup`
  Returns array of DirectoryObject that define the list of all members for this instance.

  This list is the full set of DirectoryObject that are members (directly or indirectly) of this DirectoryGroup.

  Overrides:
    `getAllMembers` in class `DirectoryObject`
  Returns:
    array of member DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllMembers

    public DirectoryObject getAllMembers(int index)
                                  throws IfsException

  Deprecated. iFS 9.0.3 Use getAllMembers() and index into the resultant array

  Description copied from class: `DirectoryGroup`
  Gets the member at the specified index of this group.

  Overrides:
    `getAllMembers` in class `DirectoryObject`
  Parameters:
    `index` - index into the array of DirectoryObjects
  Returns:
    the requested DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getAllUserMembers

    public DirectoryUser[] getAllUserMembers()
                                      throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the array of DirectoryUser that define the list of all DirectoryUser members for this instance.

  This list is the full set of DirectoryUser that are members (directly or indirectly) of this DirectoryGroup.

  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Returns:
    array of member DirectoryUser
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAllUserMembers

    public DirectoryUser getAllUserMembers(int index)
                                    throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the member DirectoryUser at the specified index of this group.

  Overrides:
    `getAllUserMembers` in class `DirectoryObject`
  Parameters:
    `index` - index into the array of AllUserMembers
  Returns:
    the requested DirectoryUser
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectMembers

    public DirectoryObject[] getDirectMembers()
                                       throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the direct members of this instance.

  Overrides:
    `getDirectMembers` in class `DirectoryObject`
  Returns:
    array of direct member DirectoryObjects
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDirectMembers

    public DirectoryObject getDirectMembers(int index)
                                     throws IfsException

  Description copied from class: `DirectoryGroup`
  Gets the direct member at the specified index of this group.

  Overrides:
    `getDirectMembers` in class `DirectoryObject`
  Parameters:
    `index` - index into the array of DirectoryObjects
  Returns:
    the requested DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Published)

### isDirectMember

    public boolean isDirectMember(DirectoryObject member)
                           throws IfsException

  Description copied from class: `DirectoryGroup`
  Determines if the specified DirecotryObject is a direct member of the group.

  Parameters:
    `member` - the DirectoryObject that will be checked for membership
  Returns:
    whether the specified DirectoryObject is a member of the group
  Throws:
    `IfsException` - if operation fails.
  (Published)

### resetDirectMembers

    public void resetDirectMembers()
                            throws IfsException

  Deprecated. iFS 9.0.3 No longer has any effect

  Description copied from class: `DirectoryGroup`
  Clear locally cached list of direct members.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isMember

    public boolean isMember(DirectoryObject obj)
                     throws IfsException

  Description copied from class: `DirectoryGroup`
  Determines if the specified DirecotryObject is a member of the group.

  Parameters:
    `obj` - DirectoryObject
  Returns:
    whether the specified DirectoryObject is a member of the group
  Throws:
    `IfsException` - if the operation fails
  (Published)

### constructDirectoryGroupVector

    protected static java.util.Vector constructDirectoryGroupVector(LibrarySession sess,
                                                                    java.util.Vector vector)
                                                             throws IfsException

  Description copied from class: `DirectoryGroup`
  Returns DirectoryGroup Vector from a Vector of S_DirectoryObjectData objects.

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of DirectoryGroup objects
  Returns:
    Vector of DirectoryGroup
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructDirectoryGroup

    protected static DirectoryGroup constructDirectoryGroup(LibrarySession sess,
                                                            S_LibraryObjectData data)
                                                     throws IfsException

  Description copied from class: `DirectoryGroup`
  Constructs a DirectoryGroup object from the S_LibraryObjectData object.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Returns:
    DirectoryGroup
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructDirectoryGroupArray

    protected static DirectoryGroup[] constructDirectoryGroupArray(LibrarySession sess,
                                                                   java.lang.Long[] ids)
                                                            throws IfsException

  Description copied from class: `DirectoryGroup`
  Construct a DirectoryGroup array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a DirectoryGroup Object.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Directory group objects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### vectorToDirectoryGroupArray

    protected static DirectoryGroup[] vectorToDirectoryGroupArray(java.util.Vector vector)
                                                           throws IfsException

  Description copied from class: `DirectoryGroup`
  Converts a Vector of DirectoryGroup to an array of DirectoryGroup.

  Parameters:
    `vector` - Vector of DirectoryGroup objects
  Returns:
    array of DirectoryGroup that corresponds to Vector
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorDirectoryGroupElement

    protected static DirectoryGroup vectorDirectoryGroupElement(java.util.Vector vector,
                                                                int index)
                                                         throws java.lang.IndexOutOfBoundsException

  Description copied from class: `DirectoryGroup`
  Returns a DirectoryGroup from the Vector of DirectoryGroup at the specified index.

  Parameters:
    `vector` - Vector of DirectoryGroup objects
    `index` - index into DirectoryGroup
  Returns:
    DirectoryGroup
  Throws:
    `java.lang.IndexOutOfBoundsException` - when the index is out of bounds
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD